Create A New Investor Or Buyer Record In Covent
POST
https://api.getcovent.com/api/v1/individualsCreate a new investor or buyer record in Covent.
How to Call
Use one of the examples below to call this endpoint from your own integration.
curl -X POST "https://api.getcovent.com/api/v1/individuals" \
-H "Authorization: Bearer <API_KEY>" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"general": {
"first_name": "Jordan",
"last_name": "Lee",
"email": "jordan@example.com",
"phone": "+14805550199",
"status": "active",
"entity_type": "individual"
},
"buy_box": {
"markets": [
"phoenix-az"
],
"property_types": [
"single_family"
],
"pricing": {
"min": 150000,
"max": 450000
}
},
"tags": [
"vip",
"repeat-buyer"
],
"source": "manual"
}'Request
Review headers, parameters, and body fields before calling this endpoint.
AuthorizationstringRequired
Bearer token for the proposed external API contract.
Example: Bearer <API_KEY>AcceptstringRequired
Response format header.
Example: application/jsonContent-TypestringRequired
JSON request body header.
Example: application/jsongeneralobjectRequired
general request field.
Example: {"first_name":"Jordan","last_name":"Lee","email":"jordan@example.com","phone":"+14805550199","status":"active","entity_type":"individual"}buy_boxobjectRequired
buy_box request field.
Example: {"markets":["phoenix-az"],"property_types":["single_family"],"pricing":{"min":150000,"max":450000}}tagsarrayRequired
tags request field.
Example: ["vip","repeat-buyer"]sourcestringRequired
source request field.
Example: manualResponse
200application/jsonidstringRequired
id response field.
Example: ind_123generalobjectRequired
general response field.
Example: {"full_name":"Jordan Lee","email":"jordan@example.com","phone":"+14805550199","status":"active"}buy_boxobjectRequired
buy_box response field.
Example: {"markets":["phoenix-az"],"property_types":["single_family"],"pricing":{"min":150000,"max":450000}}portfolionullRequired
portfolio response field.
Example: nulllistingsarrayRequired
listings response field.
Example: []created_atstringRequired
created_at response field.
Example: 2026-04-17T20:00:00Zupdated_atstringRequired
updated_at response field.
Example: 2026-04-17T20:00:00ZResponse Example
{
"id": "ind_123",
"general": {
"full_name": "Jordan Lee",
"email": "jordan@example.com",
"phone": "+14805550199",
"status": "active"
},
"buy_box": {
"markets": ["phoenix-az"],
"property_types": ["single_family"],
"pricing": {
"min": 150000,
"max": 450000
}
},
"portfolio": null,
"listings": [],
"created_at": "2026-04-17T20:00:00Z",
"updated_at": "2026-04-17T20:00:00Z"
}